# SphinxClient::getLastError

(PECL sphinx >= 0.1.0)

SphinxClient::getLastError — Get the last error message

### Description

public SphinxClient::getLastError ( void ) : string

Returns string with the last error message. If there were no errors during the previous API call, empty string is returned. This method doesn't reset the error message, so you can safely call it several times.

### Parameters

This function has no parameters.

### Return Values

Returns the last error message or an empty string if there were no errors.

### See Also

- SphinxClient::getLastWarning